Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.ka2ddo.yaac.core
Interface LocalObjectTracker.LocalObjectListener

All Known Implementing Classes:
  LocalObjectTableModel

Enclosing class:
  LocalObjectTracker

    public static interface LocalObjectTracker.LocalObjectListener

This interfaces defines an object that can be informed about changes to the ObjectReports stored in the LocalObjectTracker,

See Also:
  `LocalObjectTracker`

Method Summary
`void` | `objectAdded(int index, LocalObjectTracker.ObjectLink objectLink)` Report that an Object was added to the LocalObjectTracker.
`void` | `objectDeleted(int index, LocalObjectTracker.ObjectLink objectLink)` Report that an Object was deleted from the LocalObjectTracker.
`void` | `objectModified(int index, LocalObjectTracker.ObjectLink objectLink)` Report that an Object was modified in the LocalObjectTracker.

Method Detail

### objectAdded

    void objectAdded(int index,
                     LocalObjectTracker.ObjectLink objectLink)

  Report that an Object was added to the LocalObjectTracker.

  Parameters:
    `index` - zero-based index into tracker list
    `objectLink` - ObjectLink containing the new Object

### objectModified

    void objectModified(int index,
                        LocalObjectTracker.ObjectLink objectLink)

  Report that an Object was modified in the LocalObjectTracker.

  Parameters:
    `index` - zero-based index into tracker list
    `objectLink` - ObjectLink containing the modified Object

### objectDeleted

    void objectDeleted(int index,
                       LocalObjectTracker.ObjectLink objectLink)

  Report that an Object was deleted from the LocalObjectTracker.

  Parameters:
    `index` - zero-based index into tracker list
    `objectLink` - ObjectLink containing the deleted Object

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD